# FoundationClasses
TKernel
NCollection

# NCollection_SList< TheItemType >::SListNode Class Reference

The node of SList.

`#include <NCollection_SList.hxx>`

## Private Member Functions

| SListNode (const TheItemType &theItem, const NCollection_SList &theTail)
| Constructor.
NCollection_SList & | Tail (void)
| Tail.
TheItemType & | Value (void)
| Value.
void | Clear (void)
| Clear.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating nodes.
void * | operator new (size_t theSize)
| news to avoid warnings on hiding - not for use
void * | operator new (size_t, void *theAddress)

## Private Attributes

Standard_Integer | myCount
| Reference count.
NCollection_SList * | myTail
| The tail.
TheItemType | myValue
| Datum.

### template<class TheItemType>
class NCollection_SList< TheItemType >::SListNode

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_SList< TheItemType >::SListNode::SListNode | ( | const TheItemType & | theItem,
|  | const NCollection_SList & | theTail
| ) | `[inline, private]`

## Member Function Documentation

template<class TheItemType>
void NCollection_SList< TheItemType >::SListNode::Clear | ( | void |  | ) | `[inline, private]`

template<class TheItemType>
void* NCollection_SList< TheItemType >::SListNode::operator new | ( | size_t | ,
|  | void * | theAddress
| ) | `[inline, private]`

template<class TheItemType>
void* NCollection_SList< TheItemType >::SListNode::operator new | ( | size_t | theSize | ) | `[inline, private]`

template<class TheItemType>
void* NCollection_SList< TheItemType >::SListNode::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline, private]`

template<class TheItemType>
NCollection_SList& NCollection_SList< TheItemType >::SListNode::Tail | ( | void |  | ) | `[inline, private]`

template<class TheItemType>
TheItemType& NCollection_SList< TheItemType >::SListNode::Value | ( | void |  | ) | `[inline, private]`

## Field Documentation

template<class TheItemType>
Standard_Integer NCollection_SList< TheItemType >::SListNode::myCount `[private]`

template<class TheItemType>
NCollection_SList* NCollection_SList< TheItemType >::SListNode::myTail `[private]`

template<class TheItemType>
TheItemType NCollection_SList< TheItemType >::SListNode::myValue `[private]`

The documentation for this class was generated from the following file:

- NCollection_SList.hxx